@charset "utf-8";
.header-wrap {
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.nav {
    display: flex;
}
.img-sp {
    width: 50%;
    margin: 1rem;
    display: none;
}
.img-sp img {
    width: 70%;
}
.account-btn {
    border: 4px solid #DF2236;
    background: #F63F52;
    box-shadow: 0 4px 0 0 #DF2236;
    font-family: "Noto Sans JP";
    font-size: 19px;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
    padding: 16px 40px;
    opacity: 0;
}
.x-btn {
    border: 4px solid #DF2236;
    background: #FFF;
    box-shadow: 0 4px 0 0 #DF2236;
    padding: 19px 45px;
    opacity: 0;
}
.nav-btn a {
    color: #fff;
    text-align: center;
    border-radius: 70px;
    text-decoration: none;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
    transition: 0.3s;
}
.account-btn:hover {
    translate: 0.1875rem 0.1875rem!important;
    box-shadow: 0 0 0 #DF2236;
    background: #F63F52;
}
.x-btn:hover {
    translate: 0.1875rem 0.1875rem;
    box-shadow: 0 0 0 #DF2236;
    background: #FFF;
}
.nav-btn img {
    width: 25px;
    vertical-align: middle;
}
/*--------------------------------------------------------------
>>> hamburger-menu
---------------------------------------------------------------- */
.header__inner {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: flex-end;
    margin: 0 auto;
    padding: 0 20px;
    opacity: 1;
    transition: all 1s;
}
#nav.open .header__inner,
.nav-lists__wrap.open {
    opacity: 1;
    transition: all 0.6s;
    overflow: hidden;
}
/* navigation */
.nav-lists {
    display: flex;
    align-items: center;
    justify-content: center;
    white-space: nowrap;
    gap: 20px;
}
.nav-lists li {
    font-size: 15px;
    display: block;
    padding: 0;
}
.nav-lists li a{
    justify-content: center;
}
/*--------------------------------------------------------------
>>> hamburger-menu
---------------------------------------------------------------- */
.hamburger-menu__outer {
    display: none;
    position: fixed;
    top: 15px;
    right: 25px;
    z-index: 1000;
    opacity: 1;
}
.hamburger-menu  {
    position: relative;
    border-radius: 6px;
    border: 2px solid #F63F52;
    background: #FF7987;
    box-shadow: 1px 2px 0 0 #F63F52;
    cursor: pointer;
    width: 55px;
    height: 55px;
    transition: .5s;
}
/*inner*/
.hamburger-menu span {
    display: inline-block;
    transition: all .4s;
    position: absolute;
    left: 15px;
    height: 4px;
    background: #fff;
    width: 50%;
    border-radius: 5px;
}
.hamburger-menu span:nth-of-type(1) {
    top: 18px; 
}
.hamburger-menu span:nth-of-type(2) {
    top: 27px;
}
.hamburger-menu span:nth-of-type(3) {
    top: 36px;
}
.menu {
    font-size: 10px;
    background: transparent!important;
    color: white;
    bottom: 15px;
    width: 100%!important;
    left: 50%!important;
    transition: .2s;;
    text-align: center;
    transform: translate(-50%, 0);
}
.hamburger-menu.active span:nth-of-type(1) {
    top: 20px;
    left: 13px;
    transform: translateY(6px) rotate(-45deg);
    width: 52%;
}
.hamburger-menu.active span:nth-of-type(2) {
    opacity: 0;
}
.hamburger-menu.active span:nth-of-type(3){
    top: 32px;
    left: 13px;
    transform: translateY(-6px) rotate(45deg);
    width: 52%;
    transition: 0.2s;
}
.mask {
    display: none;
    opacity: 0;
    display: block;
}
@media screen and (max-width: 768px) {
    .hamburger-menu__outer,
    .header__inner {
        display: block;
    }
    header {
        padding: 0 20px;
    }
    .account-btn {
        width: 200px;
        margin: auto;
        margin-top: 35px;
        margin-bottom: 25px;
    }
    .header__inner {
        border-radius: 0 0 0 70px;
        border-bottom: 1px solid #F63F52;
        border-left: 3px solid #F63F52;
        background: #FFF;
        box-shadow: 0 8px 0 0 #F63F52;
        padding: 110px 30px 20px;
    }
    .img-sp {
        margin: -27% 0 10px;
        display: block;
    }
    .nav-lists__wrap {
        overflow: auto;
        -webkit-overflow-scrolling: touch;
        position: absolute;
        top: 0;
        right: 0;
        bottom: 0;
        width: 100%;
        height: 100%;
        margin-top: 0;
        z-index: 1000;
        padding: 0 0 0 1rem;
    }
    .nav-lists {
        display: block;
        margin: 36px 0;
        width: 100%;
        padding: 0;
    }
    .nav-lists li {
        border-bottom: 1px solid #FF7987;
        position: relative;
    }
    .nav-list li a.account-btn,
    .nav-list li a.x-btn {
        padding: 15px 0 15px 0px;
    }
    .nav-lists li.hide-on-pc a {
        padding: 0;
        display: flex;
        padding: 10px 0;
        flex-direction: column;
        align-items: flex-start;
        gap: 10px;
        align-self: stretch;
        color: #E9293D;
        font-family: "Noto Sans JP";
        font-size: 18px;
        font-style: normal;
        font-weight: 700;
        line-height: normal;
        text-decoration: none;
        margin-top: 10px;
        position: relative;
    }
    .nav-lists li.hide-on-pc a::before {
        content: '';
        position: absolute;
        width: 22px;
        height: 23px;
        background-image: url(../img/right-arrow.png);
        bottom: 9px;
        right: 5px;
        background-size: cover;
    }
    .nav-lists li:first-child {
        border-left: none;
    }
    .nav-lists li:last-child {
        border-bottom: none;
    }
    #nav {
        position:fixed;
        right: 0;
        top: -120%;
        bottom: 0;
        width: 75%;
        transition: all 1s;
        z-index: 0;
    }
    #nav.open {
        top: 0;
        z-index: 999;
    }
    .nav-lists__wrap.open {
        top: 0;
    }
    .mask.open {
        display: block;
        position: fixed;
        top: 0;
        right: 0;
        left: 0;
        bottom: 0;
        background: #2f2b2a;
        opacity: .7;
        z-index: 0;
        transition: all 0.6s;
    }
    .x-btn {
        width: 90px;
        margin: auto;
    }
    .nav-btn img {
        width: 30px;
    }
    .nav-btn.other-btn {
        border-bottom: unset;
    }
}
@media screen and (max-width: 435px) {
    #nav {
        width: 90%;
    }
    .img-sp img {
        width: 90%;
    }
}
@media screen and (max-width: 340px) {
    #nav {
        width: 95%;
    }
    .nav-lists li a {
        width: auto;
    }
}
body.nav-open {
    overflow: hidden;
    height: 100vh;
}
body.nav-open {
    overflow: hidden;
}